﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 5104B: (1 yr) CAL VER IEEE /5800+5Ch+GHz
DATE:                  2009-06-30 11:15:27
AUTHOR:                Fluke
REVISION:              $Revision: 1.7 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       304
CONFIGURATION:         Fluke 5800A (C5,G2)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds5104b_1yr_ver_ieee_5800_5ch_GHz.txt,v $
#    $Date: 2009/06/30 18:11:42 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#@
#@ Models covered:
#@       TDS 5104B
#@
#@ Source(s):
#@       TDS5000B Series Digital Phosphor Oscilloscopes
#@       Specification and Performance Verification Manual, PN 071-1420-01
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub UUT Connection GPIB
#        Sub Tek TDS5000B Set Bandwidth & Num_Chan
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Self-Test IEEE
#        Sub Tek TDS5000B Sig Path Comp Cal IEEE
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#        Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800
#        Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5800+GHz
#        Sub Tek TDS5000B (1 yr) Channel Delay IEEE /5800
#        Sub Tek TDS5104B (1 yr) Chans Iso IEEE /5800+GHz
#        Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5800
#        Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800
#        Sub Tek TDS5104B (1 yr) Trig Sens IEEE /5800+GHz
#        Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /5800
#        Sub Tek TDS5000B (1 yr) Signal Out IEEE /5800
#        Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5800
#
# Required Files:
#        None
#
#@ Additional Equipment Required:
#@       2 Way Power Splitter
#@       BNC T(f-m-f) adapter
#@       Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#@       SMA T(f-m-f) adapter
#@       Cable, 50 Ohm, SMA(m)-(m)
#@       3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#@       2 sets SMA Short
#@       Probe 1X or 10X, such as Tektronix P5050, P6243, or P6245
#@
# The procedure was tested using:
#        Model No  :  TDS5104B
#        Serial No :  B022665
#        Options   :
#        Firmware  :  CF:91.1CT FV:2.0.9
#
# Average run time during testing :  40 min (include optional test)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C2
  1.003  5800         1GH                          1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.010  DISP         later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         PRELIMINARY INSTRUCTIONS
  1.019  TARGET
  1.020  CALL         Sub Tek TDS5000B Setup IEEE
  1.021  IEEE2        *RST

  1.022  HEAD         UUT IDENTIFICATION
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.024  MATH         Model = "TDS5104B"
  1.025  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.026  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.027  IF           NOT(L[1] && L[2])
  1.028  DISP         UUT is an [V @Manufacturer] [V @ModelNum],
  1.028  DISP         not a Tektronix [V Model]!
  1.029  END
  1.030  ENDIF

  1.031  HEAD         EQUIPMENT REQUIREMENTS
  1.032  DISP         The following additional equipment and/or
  1.032  DISP         accessories are required:
  1.032  DISP
  1.032  DISP         - 2 Way Power Splitter
  1.032  DISP         - BNC T(f-m-f) adapter
  1.032  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.032  DISP         - SMA T(f-m-f) adapter
  1.032  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.032  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.032  DISP         - 2 sets SMA Short
  1.032  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    9.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   11.   CHANNEL DELAY                      CHANNEL ISOLATION(CH1 IN)
#   12.   CHANNEL ISOLATION(CH1 IN)          CHANNEL ISOLATION(CH2 IN)
#   13.   CHANNEL ISOLATION(CH2 IN)          CHANNEL ISOLATION(CH3 IN)
#   14.   CHANNEL ISOLATION(CH3 IN)          CHANNEL ISOLATION(CH4 IN)
#   15.   CHANNEL ISOLATION(CH4 IN)          SAMPLE RATE AND DELAY TIME ACC
#   16.   SAMPLE RATE AND DELAY TIME ACC     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   17.   DELTA TIME MEASUREMENT ACC(CH1)    EDGE-TRIGGER SENSITIVITY(CH1)
#   18.   DELTA TIME MEASUREMENT ACC(CH2)    DELTA TIME MEASUREMENT ACC(CH1)
#   19.   DELTA TIME MEASUREMENT ACC(CH3)    DELTA TIME MEASUREMENT ACC(CH2)
#   20.   DELTA TIME MEASUREMENT ACC(CH4)    DELTA TIME MEASUREMENT ACC(CH3)
#   21.   TIME ACC OF PULSE WIDTH TRIG(CH1)  DELTA TIME MEASUREMENT ACC(CH4)
#   22.   EDGE-TRIGGER SENSITIVITY(CH1)      CHANNEL DELAY
#   23.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   24.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.033  CALL         Sub Tek TDS5000B Set Bandwidth & Num_Chan
  1.034  CALL         Sub Tek TDS5000B Self-Test IEEE
  1.035  JMPL         END                          @Abort

  1.036  MATH         @SPCTime = 720
  1.037  CALL         Sub Tek TDS5000B Sig Path Comp Cal IEEE
  1.038  JMPL         END                          @Abort

  1.039  DISP         Connect the 58x0A to the UUT as follows:
  1.039  DISP         [32] 58x0A CHAN 1 to UUT CH 1
  1.039  DISP         [32] 58x0A CHAN 2 to UUT CH 2
  1.039  DISP         [32] 58x0A CHAN 3 to UUT CH 3
  1.039  DISP         [32] 58x0A CHAN 4 to UUT CH 4

  1.040  MATH         @Chan = 1
  1.041  M5800                                                    C1
  1.042  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.043  MATH         @Chan = 2
  1.044  M5800                                                    C2
  1.045  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.046  MATH         @Chan = 3
  1.047  M5800                                                    C3
  1.048  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.049  MATH         @Chan = 4
  1.050  M5800                                                    C4
  1.051  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.052  MATH         @Chan = 1
  1.053  M5800                                                    C1
  1.054  CALL         Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5800+GHz

  1.055  MATH         @Chan = 2
  1.056  M5800                                                    C2
  1.057  CALL         Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5800+GHz

  1.058  MATH         @Chan = 3
  1.059  M5800                                                    C3
  1.060  CALL         Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5800+GHz

  1.061  MATH         @Chan = 4
  1.062  M5800                                                    C4
  1.063  CALL         Sub Tek TDS5104B (1 yr) Bandwidth IEEE /5800+GHz
  1.064  JMPL         CHANNELS_ISOLATION_CH1

  1.065  LABEL        CHANNEL_DELAY
  1.066  MATH         @Chan = 1
  1.067  M5800                                                    C1
  1.068  CALL         Sub Tek TDS5000B (1 yr) Channel Delay IEEE /5800
  1.069  JMPL         SIGNAL_OUT

  1.070  LABEL        CHANNELS_ISOLATION_CH1
  1.071  MATH         @Chan = 1
  1.072  M5800                                                    C1
  1.073  CALL         Sub Tek TDS5104B (1 yr) Chans Iso IEEE /5800+GHz

  1.074  MATH         @Chan = 2
  1.075  M5800                                                    C2
  1.076  CALL         Sub Tek TDS5104B (1 yr) Chans Iso IEEE /5800+GHz

  1.077  MATH         @Chan = 3
  1.078  M5800                                                    C3
  1.079  CALL         Sub Tek TDS5104B (1 yr) Chans Iso IEEE /5800+GHz

  1.080  MATH         @Chan = 4
  1.081  M5800                                                    C4
  1.082  CALL         Sub Tek TDS5104B (1 yr) Chans Iso IEEE /5800+GHz

  1.083  MATH         @Chan = 1
  1.084  M5800                                                    C1
  1.085  CALL         Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5800
  1.086  JMPL         TRIG_CH1

  1.087  LABEL        DELTA_TIME_CH1
  1.088  MATH         @Chan = 1
  1.089  M5800                                                    C1
  1.090  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800

  1.091  MATH         @Chan = 2
  1.092  M5800                                                    C1
  1.093  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800

  1.094  MATH         @Chan = 3
  1.095  M5800                                                    C1
  1.096  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800

  1.097  MATH         @Chan = 4
  1.098  M5800                                                    C1
  1.099  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800
  1.100  JMPL         CHANNEL_DELAY

  1.101  LABEL        TRIG_CH1
  1.102  MATH         @Chan = 1
  1.103  M5800                                                    C1
  1.104  CALL         Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /5800
  1.105  CALL         Sub Tek TDS5104B (1 yr) Trig Sens IEEE /5800+GHz
  1.106  JMPL         DELTA_TIME_CH1

  1.107  LABEL        SIGNAL_OUT
# The following signal out test is attached only with channel 3 input
  1.108  MATH         @Chan = 3
  1.109  M5800                                                    C1
  1.110  CALL         Sub Tek TDS5000B (1 yr) Signal Out IEEE /5800

  1.111  MATH         @Chan = 1
  1.112  M5800                                                    C1
  1.113  CALL         Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5800

  1.114  LABEL        END
  1.115  IEEE2        *RST
  1.116  HEAD
  1.117  RSLT         =

  1.118  IF           @Abort
  1.119  DISP         {V E R I F I C A T I O N   A B O R T E D !}
  1.120  ELSE
  1.121  DISP         {V E R I F I C A T I O N   C O M P L E T E !}
  1.122  ENDIF

  1.123  END
